%define gmajor	0.1
%define girname	%mklibname %{name}-gir %{gmajor}

Name:		entangle
Summary:	Tethered Camera Control & Capture
Version:	0.5.3
Release:	%mkrel 4
License:	GPLv3+
Group:		Graphics/Photography
Url:		http://entangle-photo.org
Source0:	http://entangle-photo.org/download/sources/entangle-%{version}.tar.gz
# From upstream:
# http://gitorious.org/entangle/entangle/commit/26408199
Patch0:		entangle-0.5.3-fix-memory-leak.patch
# http://gitorious.org/entangle/entangle/commit/c556ce21
Patch1: 	entangle-0.5.3-ensure-thumbnails-dir-exists.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(lcms)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libpeas-1.0)
Requires:	%{girname} = %{version}-%{release}

%description
Entangle provides a graphical interface for "tethered shooting", aka taking
photographs with a digital camera completely controlled from the computer.

It is built on top of libgphoto using GTK3 for its interface. It is fully
colour managed, auto-detecting system monitor profile and applying the
neccessary transforms when displaying images.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-schemas-compile
%make

%install
%makeinstall_std

#drop outdated api reference
rm -rf %{buildroot}%{_datadir}/gtk-doc/

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.entangle-photo.manager.gschema.xml
%{_datadir}/applications/%{name}.desktop
# for now, pkg .gir to main pkg
%{_datadir}/gir-1.0/Entangle-0.1.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Entangle-%{gmajor}.typelib


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.5.3-4.mga4
+ Revision: 539015
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 0.5.3-3.mga4
+ Revision: 491205
- rebuild for new gexiv

* Fri Sep 20 2013 fwang <fwang> 0.5.3-2.mga4
+ Revision: 481825
- rebuild for new gexiv

* Sun Sep 08 2013 wally <wally> 0.5.3-1.mga4
+ Revision: 476041
- imported package entangle

